#if !defined(LINE_H)
#define LINE_H

/****************************************************************************/
/** \class Line
    \brief Klasse einer Line
*****************************************************************************/
class Line  
{
public:
	Line();
	virtual ~Line();

   Vec m_S; // Startpunkt der Linie
   Vec m_E; // Endpunkt   der Linie
   Vec m_V; // Richtungsvektor der Linie

   void   set(Vec& p1, Vec& p2);
   float  getLength(void);
   Vec*   getEndPoint(float t);
   Vec&   getEndPoint2(float t);
   void   getEndPoint(float t, Vec* E);

   void   dump(char* msg);
};
#endif // !defined(LINE_H)
